Skip to content

Create a new vision analysis

Request

Creates a new vision analysis. The resource isn't fully created immediately and you'll want to poll the /visionAnalyses/{id} GET for the result.

Security
clientCredentials or oAuth2Password
Headers
cache-controlstring

Whether to bypass the cached response. Requires permission to bypass the cache.

Value:"no-cache"
Bodyapplication/jsonrequired
inputstring, (url)required

The input to generate a vision analysis of. Images must have a minumum width and height of 200px and maximum width and height of 4000px. The following file formats are supported - PNG, JPEG, JPG, JPEG 2000, WebP, BMP, GIF, TIFF, TIF, DIB, ICO, EPS, PSD, PPM, PGM, PBM, PNM, TGA, XBM

Example:"https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg"
optionsobject(VisionAnalysisOptions)
Example:
{ "explain": true, "isVideo": false, "needFramesAnnotation": false, "framesAnnotationType": [ "heatmap" ] }
POST
/visionAnalyses
curl -i -X POST \
  https://api.blackbird.ai/compass/visionAnalyses \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'cache-control: no-cache' \
  -d '{
    "input": "https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg",
    "options": {
      "explain": true,
      "isVideo": false,
      "needFramesAnnotation": false,
      "framesAnnotationType": [
        "heatmap"
      ]
    }
  }'

Responses

Vision analysis accepted for processing

Bodyapplication/json
idstringrequired

The ID of the vision analysis

Example:"7bf34023-641f-4191-a836-8cd4716266f3"
created_atstring, (date-time)required

The datetime the vision analysis was created

Example:"2024-10-10T13:01:29.822Z"
updated_atstring, (date-time)required

The datetime the vision analysis was last updated.

Example:"2024-10-10T13:01:29.822Z"
inputstring, (url)required

The input to generate a vision analysis of

Example:"https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg"
optionsobject(VisionAnalysisOptions)required
Example:
{ "explain": true, "needFramesAnnotation": true, "framesAnnotationType": [ "heatmap" ] }
statusstringrequired

The status of the vision analysis generation

Value:"processing"
Example:"processing"
Response
{ "id": "7bf34023-641f-4191-a836-8cd4716266f3", "created_at": "2024-10-10T13:01:29.822Z", "updated_at": "2024-10-10T13:01:29.822Z", "input": "https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg", "options": { "explain": true, "isVideo": false, "needFramesAnnotation": true, "framesAnnotationType": [ … ] }, "status": "processing" }